using System;
using System.Collections.Generic;
using CncModels.Dto.Alert;
using CncModels.Dto;

namespace CncService.Interface
{
    public interface IAlertService
    {
        PagedResult<AlertListItem> GetList(AlertQuery query);
        bool Resolve(long id);
        int BatchResolve(List<long> ids);
        AlertStatisticsResponse GetStatistics();
    }
}
